package main

import (
	"github.com/vishvananda/netlink"
)

func main() {
	la := netlink.NewLinkAttrs()
	la.Name = "veth0"
	veth := netlink.Veth{
		LinkAttrs: la,
		PeerName:  "veth1",
	}
	if err := netlink.LinkAdd(&veth); err != nil {
		panic(err)
	}
}
